export class Point {
  constructor(x, y) {
    this.x = x;
    this.y = y;
  }

  move(dx, dy) {
    this.x += dx;
    this.y += dy;
  }

  toString() {
    return `(${this.x}, ${this.y})`;
  }
}
window.Point = Point;

export class Rect {
  constructor(topLeft, width, height) {
    this.topLeft = topLeft;
    this.width = width;
    this.height = height;
    this._nSides = 4;
  }
}
window.Rect = Rect;